// Testbench for "Shot Clock" data unit

`timescale 1ns / 100 ps

module ShotClock_DU_TB;

reg I$Clock,I$Reset,I$EnableCounter;
wire O$CountEqualsZero;
wire [6:0] O$LED;	// O$LED[6] -> segment a

// Instantiate the device under test (DUT)
ShotClock_DU U1 (
	// Inputs
	.I$Clock(I$Clock),	// Master clock
	.I$Reset(I$Reset),	// Master reset, active high
	.I$EnableCounter(I$EnableCounter),		// RUN, active high

	// Outputs
	.O$CountEqualsZero(O$CountEqualsZero),	// BUZZER, active high
	.O$LED(O$LED)	// Enables count-down counter
);

// Input stimulus definitions

always
	#0.5 I$Clock = ~I$Clock;

initial begin
	// Initial values
	I$Clock = 0;
	I$Reset = 0;
	I$EnableCounter = 0;

	#1 

	// Apply master reset pulse
	I$Reset = 1;
	#1
	I$Reset = 0;
	#30

	// Enable count
	I$EnableCounter=1;
	#180




	// Simulation is complete
	$finish;
end

endmodule
