// Testbench for "Shot Clock" 

`timescale 1ns / 100 ps

module ShotClock_TB;

reg I$Clock;	// Master clock
reg I$Reset;	// Master reset, active high
reg I$Run_;		// RUN, active low

wire O$Buzzer_;	// BUZZER, active low
wire [6:0] O$LED;	// Seven-segment display, active high

// Instantiate the device under test (DUT)
ShotClock U1 (
	// Inputs
	.I$Clock(I$Clock),	// Master clock
	.I$Reset(I$Reset),	// Master reset, active high
	.I$Run_(I$Run_),		// RUN, active high

	// Outputs
	.O$Buzzer_(O$Buzzer_),	// BUZZER, active high
	.O$LED(O$LED)	// Enables count-down counter
);

// Input stimulus definitions

always
	#0.5 I$Clock = ~I$Clock;

initial begin
	// Initial values
	I$Clock = 0;
	I$Reset = 0;
	I$Run_ = 1;

	#1 

	// Apply master reset pulse
	I$Reset = 1;
	#1
	I$Reset = 0;
	#2

	// Apply RUN input
	I$Run_ = 0;
	#30

	// Disable RUN input
	I$Run_ = 1;
	#30

	// Enable RUN input
	I$Run_ = 0;
	#300


	I$Reset=1;
	#1
	I$Reset=0;
	#10



	// Simulation is complete
	$finish;
end

endmodule
